Next: D30V-Syntax, Up: D30V-Dependent

#### 9.9.1 D30V Options

The Mitsubishi D30V version of `as` has a few machine dependent options.

-O
  The D30V can often execute two sub-instructions in parallel. When this option is used, `as` will attempt to optimize its output by detecting when instructions can be executed in parallel.
-n
  When this option is used, `as` will issue a warning every time it adds a nop instruction.
-N
  When this option is used, `as` will issue a warning if it needs to insert a nop after a 32-bit multiply before a load or 16-bit multiply instruction.